Package uk.ac.starlink.topcat.plot2

# Interface Control

All Known Subinterfaces:
  `LayerControl`

All Known Implementing Classes:
  `BasicCoordLayerControl`, `ConfigControl`, `DatalessLayerControl`, `FormControl`, `FormLayerControl`, `FrameControl`, `FunctionLayerControl`, `HealpixLayerControl`, `LegendControl`, `ModeFormControl`, `MultiFormLayerControl`, `ShaderControl`, `SimpleFormControl`, `SingleFormLayerControl`, `SingleZoneLayerControl`, `SpectrogramLayerControl`, `StiltsControl`, `TabberControl`

public interface Control
User interaction component that can appear in a ControlStack. A control has a compact representation given by its label and icon, and also a panel which has its actual GUI content.

Since:
  13 Mar 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`addActionListener(ActionListener listener)`
Adds a listener to be notified whenever the state of this control changes, presumably as a result of user interaction.
`Icon`
`getControlIcon()`
Returns an icon to represent this control, visible in the stack.
`String`
`getControlLabel()`
Returns a short string to label this control, visible in the stack.
`JComponent`
`getPanel()`
Returns the GUI component that is the business end of this control.
`void`
`removeActionListener(ActionListener listener)`
Removes a listener which was previously added.

## Method Details

### getPanel

JComponent getPanel()
Returns the GUI component that is the business end of this control. It will typically contain components for user interaction.

Returns:
  this controls graphical component

### getControlLabel

String getControlLabel()
Returns a short string to label this control, visible in the stack.

Returns:
  label

### getControlIcon

Icon getControlIcon()
Returns an icon to represent this control, visible in the stack.

Returns:
  icon

### addActionListener

void addActionListener(ActionListener listener)
Adds a listener to be notified whenever the state of this control changes, presumably as a result of user interaction.

Parameters:
  `listener` - listener to add

### removeActionListener

void removeActionListener(ActionListener listener)
Removes a listener which was previously added.

Parameters:
  `listener` - to remove